## rust-filespooler 1.2.4

=== doc/Makefile ===
ALL: fspl.1

%.1: %.1.md
	pandoc -f markdown-smart --standalone --to man $< -o $@
