## rust-filespooler 1.2.3

=== debian/changelog ===
rust-filespooler (1.2.3-1build1) oracular; urgency=medium

  * No-change rebuild with rustc 1.80.x.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Sep 2024 16:29:13 +0200

rust-filespooler (1.2.3-1) unstable; urgency=medium

  * Package filespooler 1.2.3 from crates.io using debcargo 2.6.0.
  * This version uses clap v4.  Closes: #1040886.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 25 Aug 2023 06:12:07 -0500
