=== debian/control ===
--- 
+++ 
@@ -9,8 +9,12 @@
  librust-anyhow-1+default-dev (>= 1.0.57-~~),
  librust-bytes-1+default-dev (>= 1.1.0-~~),
  librust-chrono-0.4+default-dev (>= 0.4.19-~~),
- librust-clap-3+derive-dev (>= 3.1-~~),
- librust-clap-3+std-dev (>= 3.1-~~),
+ librust-clap-4+derive-dev (>= 4.1-~~),
+ librust-clap-4+error-context-dev (>= 4.1-~~),
+ librust-clap-4+help-dev (>= 4.1-~~),
+ librust-clap-4+std-dev (>= 4.1-~~),
+ librust-clap-4+usage-dev (>= 4.1-~~),
+ librust-clap-4+wrap-help-dev (>= 4.1-~~),
  librust-crc32fast-1+default-dev (>= 1.3.2-~~),
  librust-fd-lock-3+default-dev (>= 3.0.5-~~),
  librust-rmp-serde-1+default-dev (>= 1.1.0-~~),
@@ -26,10 +30,11 @@
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  John Goerzen <jgoerzen@complete.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/filespooler]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/filespooler
 Homepage: https://www.complete.org/filespooler/
+X-Cargo-Crate: filespooler
 Rules-Requires-Root: no
 
 Package: librust-filespooler-dev
@@ -40,8 +45,12 @@
  librust-anyhow-1+default-dev (>= 1.0.57-~~),
  librust-bytes-1+default-dev (>= 1.1.0-~~),
  librust-chrono-0.4+default-dev (>= 0.4.19-~~),
- librust-clap-3+derive-dev (>= 3.1-~~),
- librust-clap-3+std-dev (>= 3.1-~~),
+ librust-clap-4+derive-dev (>= 4.1-~~),
+ librust-clap-4+error-context-dev (>= 4.1-~~),
+ librust-clap-4+help-dev (>= 4.1-~~),
+ librust-clap-4+std-dev (>= 4.1-~~),
+ librust-clap-4+usage-dev (>= 4.1-~~),
+ librust-clap-4+wrap-help-dev (>= 4.1-~~),
  librust-crc32fast-1+default-dev (>= 1.3.2-~~),
  librust-fd-lock-3+default-dev (>= 3.0.5-~~),
  librust-rmp-serde-1+default-dev (>= 1.1.0-~~),
@@ -60,8 +69,8 @@
  librust-filespooler-1+default-dev (= ${binary:Version}),
  librust-filespooler-1.2-dev (= ${binary:Version}),
  librust-filespooler-1.2+default-dev (= ${binary:Version}),
- librust-filespooler-1.2.2-dev (= ${binary:Version}),
- librust-filespooler-1.2.2+default-dev (= ${binary:Version})
+ librust-filespooler-1.2.3-dev (= ${binary:Version}),
+ librust-filespooler-1.2.3+default-dev (= ${binary:Version})
 Description: Sequential, distributed, POSIX-style job queue processing - Rust source code
  This package contains the source for the Rust filespooler crate, packaged by
  debcargo for use with cargo and dh-cargo.
