=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test filespooler 1.2.3 --all-targets --all-features
Features: test-name=rust-filespooler:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test filespooler 1.2.3 --all-targets
Features: test-name=librust-filespooler-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test filespooler 1.2.3 --all-targets --no-default-features
Features: test-name=librust-filespooler-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable
