## rust-filespooler 1.2.4

=== debian/changelog ===
rust-filespooler (1.2.4-1) unstable; urgency=medium

  * Team upload
  * Package filespooler 1.2.4 from crates.io using debcargo 2.7.10

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 Sep 2025 07:33:49 -0400
