=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: rust-filespooler
 Section: rust
 Priority: optional
-Build-Depends: debhelper (>= 12),
- dh-cargo (>= 25),
- cargo:native,
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-cargo
+Build-Depends-Arch: cargo:native,
  rustc:native,
  libstd-rust-dev,
+ librust-anyhow-1+backtrace-dev (>= 1.0.57-~~),
  librust-anyhow-1+default-dev (>= 1.0.57-~~),
  librust-bytes-1+default-dev (>= 1.1.0-~~),
  librust-chrono-0.4+default-dev (>= 0.4.19-~~),
@@ -15,6 +16,7 @@
  librust-clap-4+std-dev (>= 4.1-~~),
  librust-clap-4+usage-dev (>= 4.1-~~),
  librust-clap-4+wrap-help-dev (>= 4.1-~~),
+ librust-command-group-5+default-dev (>= 5.0.1-~~),
  librust-crc32fast-1+default-dev (>= 1.3.2-~~),
  librust-fd-lock-3+default-dev (>= 3.0.5-~~),
  librust-rmp-serde-1+default-dev (>= 1.1.0-~~),
@@ -30,7 +32,7 @@
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  John Goerzen <jgoerzen@complete.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/filespooler]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/filespooler
 Homepage: https://www.complete.org/filespooler/
@@ -42,6 +44,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
+ librust-anyhow-1+backtrace-dev (>= 1.0.57-~~),
  librust-anyhow-1+default-dev (>= 1.0.57-~~),
  librust-bytes-1+default-dev (>= 1.1.0-~~),
  librust-chrono-0.4+default-dev (>= 0.4.19-~~),
@@ -51,6 +54,7 @@
  librust-clap-4+std-dev (>= 4.1-~~),
  librust-clap-4+usage-dev (>= 4.1-~~),
  librust-clap-4+wrap-help-dev (>= 4.1-~~),
+ librust-command-group-5+default-dev (>= 5.0.1-~~),
  librust-crc32fast-1+default-dev (>= 1.3.2-~~),
  librust-fd-lock-3+default-dev (>= 3.0.5-~~),
  librust-rmp-serde-1+default-dev (>= 1.1.0-~~),
@@ -69,15 +73,13 @@
  librust-filespooler-1+default-dev (= ${binary:Version}),
  librust-filespooler-1.2-dev (= ${binary:Version}),
  librust-filespooler-1.2+default-dev (= ${binary:Version}),
- librust-filespooler-1.2.3-dev (= ${binary:Version}),
- librust-filespooler-1.2.3+default-dev (= ${binary:Version})
+ librust-filespooler-1.2.4-dev (= ${binary:Version}),
+ librust-filespooler-1.2.4+default-dev (= ${binary:Version})
 Description: Sequential, distributed, POSIX-style job queue processing - Rust source code
- This package contains the source for the Rust filespooler crate, packaged by
- debcargo for use with cargo and dh-cargo.
+ Source code for Debianized Rust crate "filespooler"
 
 Package: filespooler
 Architecture: any
-Multi-Arch: allowed
 Section: utils
 Depends:
  ${misc:Depends},
@@ -90,7 +92,7 @@
 Provides:
  ${cargo:Provides}
 Built-Using: ${cargo:Built-Using}
-XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
+Static-Built-Using: ${cargo:Static-Built-Using}
 Description: Sequential, distributed, POSIX-style job queue processing
  Filespooler is a Unix-style tool that facilitates local or remote command
  execution, complete with stdin capture, with easy integration with various
